Fulfillment & ShippingFulfillment
Update a location
Updates a fulfillment location's address, capabilities, schedules, pickup, local-delivery, priority, and default state.
PUT
/v1/fulfillment/locations/{id}Updates a fulfillment location's address, capabilities, schedules, pickup, local-delivery, priority, and default state.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
id*string
Unique identifier of the resource.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/v1/fulfillment/locations/7204558912004325301" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "name": "Example resource", "code": "example_code", "type": "warehouse", "address": "example", "city": "example", "state": "example", "country": "PE", "postalCode": "example_code" }'{ "id": "7204558912004325301"}